Skip to main content
POST
Update Account

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Path Parameters

id
string
required

The id or the vid of the Account to be updated.

Query Parameters

update_behavior
enum<string>
Available options:
Validate,
CatchUp,
CatchUpOrValidate
replace_on_all_subscriptions
boolean
default:false

If false, then the a Payment Method will not be applied to any subscriptions. If it is true, it will be applied to all.

ignore_avs
boolean
default:false

Overrides any custom or default avs policy.

ignore_cvn
boolean
default:false

Overrides any custom or default cvn policy.

Body

application/json

An account object.

The Account represents an aggregator’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in MarketONE for billing. Read More in our User Guide An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide. An Account owns the “on file” payment methods to be used by it in billing. Payment Methods can be created at the same time as an Account is created or updated, but when updating an existing Payment Method the Payment Method Endpoint must be used.

id
string
required

A unique identifier.

Maximum string length: 128
object
enum<string>

Value is “Account”

Available options:
Account
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.

Maximum string length: 128
external_id
string

An additional aggregator-specified unique identifier for when you have two external (non-MarketONE) systems using two different identification schemes for the same customer. It can be used in place of vid or id

Maximum string length: 128
created
string<datetime>

The date/time the Account was created.

parent
object
default_currency
string

The currency used on subscriptions and transactions belonging to this Account when not explicitly specified. An ISO 4217 Currency Code.

email
string

The email address associated with this Account.

email_type
enum<string>

The email format type preferred by this customer.

Available options:
html,
multipart,
plaintext
language
string

The language (code) preferred for communications.

notify_before_billing
boolean

Whether or not to send this customer pre-billing notification (emails).

company
string

The company name of the customer if a business Account.

name
string

The name of the person primarily associated with this Account.

shipping_address
object

The Address object represents a physical or mailing address.

payment_methods
object

The payment methods on file for this Account.

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

tax_exemptions
object[]

Tax Exemptions registered for this Account.

tokens
object[]

The token balances for this Account.

credit
object[]

The account-level credit balances for this Account.

entitlements
object[]

The account-level entitlements for this Account.

tax_use_code
string

Special Tax Handling rules defined with aggregator’s tax service.

Response

OK

The Account represents an aggregator’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in MarketONE for billing. Read More in our User Guide An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide. An Account owns the “on file” payment methods to be used by it in billing. Payment Methods can be created at the same time as an Account is created or updated, but when updating an existing Payment Method the Payment Method Endpoint must be used.

id
string
required

A unique identifier.

Maximum string length: 128
object
enum<string>

Value is “Account”

Available options:
Account
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.

Maximum string length: 128
external_id
string

An additional aggregator-specified unique identifier for when you have two external (non-MarketONE) systems using two different identification schemes for the same customer. It can be used in place of vid or id

Maximum string length: 128
created
string<datetime>

The date/time the Account was created.

parent
object
default_currency
string

The currency used on subscriptions and transactions belonging to this Account when not explicitly specified. An ISO 4217 Currency Code.

email
string

The email address associated with this Account.

email_type
enum<string>

The email format type preferred by this customer.

Available options:
html,
multipart,
plaintext
language
string

The language (code) preferred for communications.

notify_before_billing
boolean

Whether or not to send this customer pre-billing notification (emails).

company
string

The company name of the customer if a business Account.

name
string

The name of the person primarily associated with this Account.

shipping_address
object

The Address object represents a physical or mailing address.

payment_methods
object

The payment methods on file for this Account.

metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

tax_exemptions
object[]

Tax Exemptions registered for this Account.

tokens
object[]

The token balances for this Account.

credit
object[]

The account-level credit balances for this Account.

entitlements
object[]

The account-level entitlements for this Account.

tax_use_code
string

Special Tax Handling rules defined with aggregator’s tax service.